#ifndef  _F320_USB0_KBD_H_
#define _F320_USB0_KBD_H_

/**************************************************************************//**
 *
 * This example shows how a HID keyboard can be implemented.
 *
 *****************************************************************************/

/*** Typedef's and defines. ***/

#define SYSCLK             12000000    // SYSCLK frequency in Hz

#define SCAN_TIMER              1       /* Timer used to scan keyboard. */
#define SCAN_RATE               50

#define IDLE_TIMER              0       /* Timer used to implement the idle-  */
#define DEFAULT_IDLE_RATE       500     /* rate defined in the HID class doc. */

#define POLL_RATE               24      /* The bInterval reported with the    */
                                        /* interrupt IN endpoint descriptor.  */

#define HEARTBEAT_MASK          0xF
#define KEYLED_MASK             0x8000
#define KBDLED_MASK             0xF00
#define INTR_IN_EP_ADDR         0x81

/*** Pins ***/
sbit JUMPER = P0^6;                      
sbit MUX_X = P1^6;

typedef struct {
   unsigned char Shifts;
   unsigned char ID;
} sKey;

/*** Variables ***/
extern volatile unsigned char IdleTime, idleRate;

/*** Functions ***/
void System_Init(void);
void USB0_Init(void);

#endif  //_F320_USB0_KBD_H_
